/*************************************
 * Phil Carns    Nov 99   Parl Lab
 * Test code for pvfsd kernel communication
 * This one writes a request into the device file
 ***************************************/

/* these three are included to make the types in ll_pvfs.h work */
#include <stdint.h>
#include <inttypes.h>
#include <time.h>

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include "../ll_pvfs.h" 

#define TEST_LOOP 666
#define TEST_UPWAIT 667
#define TEST_UPWAIT_COMM 668

int main(int argc, char **argv){

	struct pvfs_downcall *putreq = NULL;
	int devfile = 0;
	int req_sz = sizeof(struct pvfs_downcall);

	printf("Don't run me- outdated by pvfsd_ioctl!\n");
	return(0);

	if(argc != 2){
		printf("dumbass.\n");
		exit(-1);
	}

	putreq = (struct pvfs_downcall*)malloc(req_sz);
	if(!putreq){
		perror("malloc");
		exit(-1);
	}

	printf("Sending number: %d\n", atoi(argv[1]));
	putreq->magic = PVFS_DOWNCALL_MAGIC;
	putreq->type = TEST_UPWAIT;
	putreq->seq = atoi(argv[1]);

	devfile = open("/dev/pvfsd", O_WRONLY);
	if(!devfile){
		perror("open");
		exit(-1);
	}

	if((write(devfile, putreq, req_sz))!=req_sz){
		perror("write");
	}
	

	close(devfile);

	return(0);
}



